%define qt4_version 4.3.2

Distribution:   CCux
Packager:	Simon Schmeisser <wrt@ccux-linux.de>

Name:		qca
Version:	2.0.0
Release:	1
License:	LGPL 
URL:		http://delta.affinix.com/qca/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Qt Cryptographic Architecture 2
BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	openssl-devel

%description
Taking a hint from the similarly-named Java Cryptography Architecture,
QCA aims to provide a straightforward and cross-platform crypto API,
using Qt datatypes and conventions. QCA separates the API from the
implementation, using plugins known as Providers. The advantage of this
model is to allow applications to avoid linking to or explicitly depending
on any particular cryptographic library. This allows one to easily change
or upgrade crypto implementations without even needing to recompile the
application!

%package        devel
Summary:        Qt Cryptographic Architecture development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This packages contains the development files for QCA

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
unset QTDIR
./configure \
  --prefix=%{_prefix} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --datadir=%{_datadir} \
  --no-separate-debug-info \
  --verbose

sed -i -e /strip/d Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/qcatool2
%{_libdir}/*.so.*
%{_mandir}/*/*
%{_datadir}/qca/certs

%files devel
%defattr(-,root,root,-)
%{_includedir}/QtCrypto
%{_libdir}/*.so
%{_libdir}/pkgconfig/qca2.pc
%{_libdir}/libqca.prl
/opt/qt-%{qt4_version}/mkspecs/features/crypto.prf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1
- Version update
- cleaned specfile
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-5
- Version update - svn735313
* Tue Sep 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-4
- Version update - svn711210
* Mon Aug 13 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-3
- Version update - svn699488
* Tue Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-2
- Version update - svn680412
* Tue Jun 5 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-1
- Initial Release - svn671925
